Package org.eclipse.graphiti.platform.ga

# Interface IRendererContext

All Superinterfaces:
  `IDiagramTypeProviderHolder`, `IGraphicsAlgorithmHolder`

All Known Implementing Classes:
  `RendererContext`

public interface IRendererContext extends IDiagramTypeProviderHolder, IGraphicsAlgorithmHolder
The Interface IRendererContext.

## Method Summary

Modifier and Type
Method
Description
`IMappingProvider`
`getMappingProvider()`
Gets the mapping provider.
`PlatformGraphicsAlgorithm`
`getPlatformGraphicsAlgorithm()`
Gets the platform graphics algorithm.

### Methods inherited from interface org.eclipse.graphiti.dt.IDiagramTypeProviderHolder

`getDiagramTypeProvider`

### Methods inherited from interface org.eclipse.graphiti.IGraphicsAlgorithmHolder

`getGraphicsAlgorithm`

## Method Details

### getMappingProvider

IMappingProvider getMappingProvider()
Gets the mapping provider.

Returns:
  the mapping provider

### getPlatformGraphicsAlgorithm

PlatformGraphicsAlgorithm getPlatformGraphicsAlgorithm()
Gets the platform graphics algorithm.

Returns:
  the platform graphics algorithm